New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Audiobook

Reorder a segment within its scope

POST
/api/v1/audiobook/projects/{project_id}/segments/{segment_id}/move

Path Parameters

project_id*Project Id
segment_id*Segment Id

Request Body

application/json
  1. body
target_section_id?|

Destination section id, or null for the ungrouped run

target_index*Target Index

Destination index within the target scope

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/audiobook/projects/string/segments/string/move' \  -H 'Content-Type: application/json' \  -d '{  "target_index": 0}'
Example Response
null